// ฟังก์ชันสำหรับตรวจสอบว่า user มีการล็อกอินหรือยัง
exports.isAuthenticated = (req, res, next) => {
  if (!req.session.userId) {
    return res.redirect("/login")
  }
  next()
}

// Optional: Add role-based middleware if needed
exports.isAdmin = (req, res, next) => {
  if (!req.session.userId || !req.session.isAdmin) {
    return res.status(403).render("error", { message: "Access denied" })
  }
  next()
}

